const router = require("express").Router();

// require routes
const api = require('./api');

router.use((req, res, next) => {
  console.log(`Resource requested: ${req.method} ${req.originalUrl}`);
  next(); // make sure we go to the next routes and don't stop here
});

router.get("/", (req, res) => {
  res.status(404).json("Not found");
})

router.use("/api", api);

module.exports = router;
